<ion-header>
  <ion-toolbar>
    <img src="../../../assets/logo.jpg">
  </ion-toolbar>
</ion-header>
<ion-header >
  <ion-toolbar color="primary"> 
    
    <ion-title>Ajouter une réclamation</ion-title>
  </ion-toolbar>
</ion-header>

<ion-content >
  <ion-item lines="full">
    <ion-label   style="font-size: 16px;font-weight: 600;" color='danger'>Les champs sont obliatoires(*)</ion-label>
    
  </ion-item>
  <form [formGroup]="ionicForm" (ngSubmit)="submitForm()" novalidate style="margin:1px 25px 25px 25px">

   
    <ion-item lines="full">
      <ion-label position="floating">Commentaire</ion-label>
      <ion-textarea formControlName="commentaire" value="{{commentaire}}"   type="text"  ></ion-textarea>
      <span class="error ion-padding" *ngIf="isSubmitted && errorControl.commentaire.errors?.required">
        Champs Obligatoire.
      </span>
    </ion-item>
   

    <ion-item lines="full">
      <ion-label position="floating">Zone</ion-label>
        <ion-select formControlName="zones" placeholder="Emplacement...">
          <ion-select-option *ngFor="let zn of Zones" value="{{ zn.id }}" >{{ zn.zonetxt }}</ion-select-option>
        
        </ion-select> 
        <span class="error ion-padding" *ngIf="isSubmitted && errorControl.zones.errors?.required">
          Champs Obligatoire.
        </span>
    </ion-item>
 
  
      
     
      <ion-list lines="full">
        <h4 *ngIf="images.length == 0" text-center>Aucune image!</h4>
        <ion-item *ngFor="let img of images; index as pos" text-wrap>
          <ion-thumbnail slot="start">
            <ion-img [src]="img.path"></ion-img>
          </ion-thumbnail>
          <ion-label>
            {{ img.name }}
          </ion-label>
         
          <ion-button slot="end" fill="clear" (click)="deleteImage(img, pos)">
            <ion-icon slot="icon-only" name="trash"></ion-icon>
          </ion-button>
        </ion-item>
      </ion-list>
 
     
    <ion-footer>
      <ion-toolbar color="primary">
        <ion-button fill="clear" expand="full" color="light" (click)="selectImage()">
          <ion-icon slot="start" name="camera"></ion-icon>
          ajouter une image</ion-button>
      </ion-toolbar>
      <span class="error ion-padding" *ngIf="isSubmitted && imgvalid">
        Champs Obligatoire.
      </span>
    </ion-footer>

  

   

      
  <ion-row >
    <ion-col>
      <ion-button type="submit"  class="marginbuttom"  color="primary" expand="block">Ajouter</ion-button>
      <ion-button   class="marginbuttom"  color="success" expand="block"  [routerLink]="['/tabs/home']" >Annuler</ion-button>
     
     
    </ion-col>
  </ion-row>

 

 

   


 



    
  </form>

</ion-content>
